(OLD) (ARCHIVED) Puppy Linux Discussion Forum Forum Index (OLD) (ARCHIVED) Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info

This forum can also be accessed as http://oldforum.puppylinux.com
It is now read-only and serves only as archives.

Please register over the NEW forum
https://forum.puppylinux.com
and continue your work there. Thank you.

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups    
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 01 Dec 2020, 05:10
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
ScPup & ScPup64 - Slackware Current based Woof-CE pups
Moderators: Flash, JohnMurga
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
Page 14 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, ..., 21, 22, 23 Next
Author Message
watchdog

Joined: 28 Sep 2012
Posts: 2022
Location: Italy

PostPosted: Mon 13 Jan 2020, 01:21    Post subject:  

watchdog wrote:
Has anyone got working Opera-portable by MikeWalsh in ScPup64?


Solved:

http://www.murga-linux.com/puppy/viewtopic.php?p=1047586#1047586
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Thu 23 Jan 2020, 10:41    Post subject:  

Seems the gtk3-3.22.29 .pet that worked with Firefox/Seamonkey in 19.09 is flaky (some sites won't progress) in 20.01. A later gtk3? Will investigate.

EDIT: Solved - user oversight.

Last edited by ozsouth on Wed 05 Feb 2020, 02:33; edited 2 times in total
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Thu 23 Jan 2020, 14:03    Post subject:  

ozsouth wrote:
Seems the gtk3-3.22.29 .pet that worked with Firefox/Seamonkey in 19.09 is flaky (some sites won't progress) in 20.01. A later gtk3? Will investigate.

In my Firefox .sfs = gtk+3-3.24.13 = latest from Slackware Current

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
keniv

Joined: 06 Oct 2009
Posts: 607
Location: Scotland

PostPosted: Thu 23 Jan 2020, 16:59    Post subject:  

Hi All,
I've installed Opera-portable by MikeWalsh in ScPup64. I have removed the adrv xxxx.sfs so that Light browser does not load. I have attempted to make opera the default browser using "Default Applications Chooser" and by manually editing /usr/share/applications/defaultbrowser.desktop but neither works. Would somebody be good enough to tell me how this is done.

Regards,

Ken.
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Thu 23 Jan 2020, 18:41    Post subject:  

I took a very quick glance at it, Mike Walsh may be able to better advise, but it looks like you would need to edit /usr/local/bin/defaultbrowser and put in the path to the LAUNCH script in Mike's portable package. This path would depend on where you have put it of course, eg /mnt/home/Opera-portable/LAUNCH

What I would probably do is put a script named opera in /usr/bin which calls this path and then you should be able to just use the command opera from anywhere.

_________________
Oscar in England

Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Thu 23 Jan 2020, 19:01    Post subject:  

@peebee - thanks for that firefox64 .sfs. Unfortunately, no change. Works in ScPup64-19.09 as a direct adrv substitution, but not in 20.01.
Error message I get (from my bank site) when firefox run via terminal is:

firefox

###!!! [Parent][MessageChannel] Error: (msgtype=0x1A0011,name=PBackgroundStorage::Msg_Observe) Channel error: cannot send/recv

EDIT: Solved - user oversight.

Last edited by ozsouth on Wed 05 Feb 2020, 02:33; edited 2 times in total
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 389
Location: Germany

PostPosted: Thu 23 Jan 2020, 19:42    Post subject:  

ozsouth wrote:
Seems the gtk3-3.22.29 .pet that worked with Firefox/Seamonkey in 19.09 is flaky (some sites won't progress) in 20.01. A later gtk3? Will investigate.


short test in 20.01 with seamonkey 2.49.5

installed via PPM
gtk+3-3.18.9
at-spi2-atk-2.18.1
at-spi2-core-2.18.3

=> seamonkey worked without problems.
Back to top
View user's profile Send private message Visit poster's website 
keniv

Joined: 06 Oct 2009
Posts: 607
Location: Scotland

PostPosted: Thu 23 Jan 2020, 21:44    Post subject:  

OscarTalks wrote:
but it looks like you would need to edit /usr/local/bin/defaultbrowser and put in the path to the LAUNCH script in Mike's portable package. This path would depend on where you have put it of course, eg /mnt/home/Opera-portable/LAUNCH

Thanks OscarTalks the above worked.

Regards,

Ken.
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Fri 24 Jan 2020, 02:50    Post subject:  

@norgo - tried your solution - sadly, same result. I enter my login/pw & screen bounces back to requesting same again. Several tries, no go. Tried seamonkey & firefox, no change. Is fine with same setup in 19.09. Problem is many sites work, but which?

EDIT: Solved - user oversight.

Last edited by ozsouth on Wed 05 Feb 2020, 02:33; edited 2 times in total
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 389
Location: Germany

PostPosted: Fri 24 Jan 2020, 04:09    Post subject:  

@peebee @ozsouth

tested peebee's seamonkey.sfs just right now, worked out of the box for me.
( for information, performed all tests in scpup 20.01 - 32 bit version )

update:
firefox.sfs in scpup64 20.01 is working out of the box too
but a lot of decoder errors in the background
Quote:
[Child 10789, MediaDecoderStateMachine #1] WARNING: Decoder=7f1bc4f73400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<MediaSourceTrackDemuxer::SamplesPromise> mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builds/worker/workspace/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3337
[Child 10789, MediaDecoderStateMachine #1] WARNING: Decoder=7f1bc4f73400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<MediaSourceTrackDemuxer::SamplesPromise> mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builds/worker/workspace/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3337
[Child 10789, MediaDecoderStateMachine #1] WARNING: Decoder=7f1bc4f73400 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<MediaSourceTrackDemuxer::SamplesPromise> mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /builds/worker/workspace/build/src/dom/media/MediaDecoderStateMachine.cpp, line 3337
Back to top
View user's profile Send private message Visit poster's website 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Fri 24 Jan 2020, 09:36    Post subject:  

I found a second site which bounces me after first step appears to succeed (social security). Noticed both sites redirect to secondary auth. Unfortunately bank & social security are important sites for me. I'm using 64bit. The original ScPup64_20.01's browser (gtk2) works.

EDIT: Solved - user oversight

Last edited by ozsouth on Wed 05 Feb 2020, 02:34; edited 2 times in total
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Sun 02 Feb 2020, 02:14    Post subject:  

See previous post re-bouncing sites. Embarassed

Seems geolocation checking from bank/govt is their current protocol. If I neglect to set correct Country/City in setup, sites bounce. Wrong timezone is enough to fail. If set, is fine. Lesson - devs put popups there for a very good reason.
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 862
Location: S.E Australia

PostPosted: Tue 11 Feb 2020, 01:01    Post subject:  

Wondering if /etc/NETWORKING (containing YES) is needed. Was in earlier ScPups, but not 20.01+1. I added it & seems to help connection (I think).
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 4391
Location: Worcestershire, UK

PostPosted: Sat 15 Feb 2020, 13:38    Post subject:  

15-Feb-2020

Updates to both 32-bit and 64-bit to version 20.01+2

See posts #1 and #2

Also devx updates to match

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
OscarTalks


Joined: 05 Feb 2012
Posts: 2202
Location: London, England

PostPosted: Sun 16 Feb 2020, 07:36    Post subject:  

ScPup64 20.01+2
GetFlash from Menu gives "not installed" and opens PPM which offers getflash 1.9.1 from noarch repo, but installation aborts even if PPM database is updated.

_________________
Oscar in England

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 14 of 23 [335 Posts]   Goto page: Previous 1, 2, 3, ..., 12, 13, 14, 15, 16, ..., 21, 22, 23 Next
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies. View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 1.6630s ][ Queries: 13 (1.4011s) ][ GZIP on ]